﻿<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

// This is not a valid entry point, perform no further processing unless MEDIAWIKI is defined
if( !defined( 'MEDIAWIKI' ) ) {
	echo "This file is part of Woogle4MediaWiki and is not a valid entry point\n";
	die( 1 );
}

/**
 * This class extends MediaWiki's standard article class, which is instantiated
 * for all articles
 * 
 * WoogleArticleSearch hooks into article creation (@see WoogleHooks.php) to replace
 * the Article class for all Woogle:Pages. Thus, the body of these articles is rendered
 * by the @see WoogleSearch.php class.
 * 
 */
class WoogleArticleSearch extends Article {
	
	/*
	 * Method providing article content
	 */
	function view() {
		WoogleUtil::profileIn(__METHOD__);
		
		// create and call Woogle search object
		$result = new WoogleSearch(true);
		$result->setArticle($this);
		$result->show();
		
		WoogleUtil::profileOut(__METHOD__);
	}
}
