<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2009 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik and der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

// This is not a valid entry point, perform no further processing unless MEDIAWIKI is defined
if( !defined( 'MEDIAWIKI' ) ) {
	echo "This file is part of Woogle4MediaWiki and is not a valid entry point\n";
	die( 1 );
}

/**
 
  Special class for displaying userIds and their assigned instrumentation groups
  
  This file is not part of the regular Woogle feature set. To use, add to Woogle.php:

woogleAutoloadClasses(array(
	'WoogleSpecialInstrumentation' => '/includes/specialpages',
));
$wgSpecialPages['WoogleSpecialInstrumentation'] = 'WoogleSpecialInstrumentation';

   Page can be called via Special:WoogleSpecialInstrumentation
 */
class WoogleSpecialInstrumentation extends SpecialPage {
	
	
	public function __construct() {
		WoogleUtil::profileIn(__METHOD__);
		parent::__construct('WoogleSpecialInstrumentation', 'userrights', false); // only for admins
		WoogleUtil::profileOut(__METHOD__);
	}

	// Here the inline output of the Special page will be created
	function execute($par) {
		global $wgOut;
		
		if (WoogleConfig::get('instrumentation')){

			// get all users via api
			$params_array = array();		// stores the parameters for the API request
			$params_array['action']			= 'query';
			$params_array['list']			= 'allusers';
			$params_array['aulimit']		= 500;

			$params = new FauxRequest($params_array);
			
			$api = new ApiMain($params);
			$api->execute();
			$data = & $api->getResultData();
			
			$wgOut->addHTML('Found ' . count($data['query']['allusers']) . ' users.');

			$wgOut->addHTML('<table>');
			$wgOut->addHTML('<tr><td>userId</td><td>instGroup</td><td>useWoogle</td></tr>');
			
			// iterate over all MW namespaces
			foreach ($data['query']['allusers'] as $usr) {
				$u = User::newFromName($usr['name']);
				
				$wgOut->addHTML('<tr><td>' . 
					$u->getOption('WooglePrivacyRandomUserID') 	. '</td><td>' .
					$u->getOption('WoogleInstInstGroup') 		. '</td><td>' .
					$u->getOption('WoogleGeneralUseWoogle') 	. '</td></tr>');
			}                      
					
			$wgOut->addHTML('</table>');
		} else {
			$wgOut->addHTML('Instrumentation disabled');
		}
		
	}
	
}
