<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

/**
 * This file contains german translations for the Woogle UI
 */
class WoogleLangGerman implements WoogleLang {
	public function getIsoCode() {
		return 'de';
	}
	
	public function getSpecialPages() {
		return array(							// url-name					// description (shown on Special:SpecialPages)
			'Search'				=> array(	'Woogle',					'Woogle Suche'),
			'Statistics'			=> array(	'WoogleStatistik',			'Woogle Statistiken'),
			'Feedback'				=> array(	'WoogleFeedback',			'Woogle Feedback-Formular'),
			'Config'				=> array(	'WoogleEinstellungen',		'Woogle Einstellungen'),
			'ResultInfo'			=> array(	'WoogleErgebnisInfo',		'Woogle Ergebnis-Informationen'),
			'Study'					=> array(	'WoogleStudie',				'Woogle-Studie: Teilnahme an Evaluation'),
			'Help'					=> array(	'WoogleHilfe',				'Woogle Hilfe'),
			//'DummySearch'			=> array(	'Search',					'Suche'),
		);
	}
		
	public function getNamespaces(){
		return array(
			WOO_NS_MAIN  => "Woogle",
			WOO_NS_TALK  => "Woogle_Diskussion",
		);
	}
	
	
	// messages required by MediaWiki without a woolge prefix
	public function getMWMessages(){
		return array(
			'prefs-wooglePreferencesMain' => 'Woogle', // duplicate for MW 1.16 compatibility
			'prefs-wooglePreferencesGroupsGeneral' => 'Allgemeine Einstellungen', // duplicate for MW 1.16 compatibility
			'prefs-wooglePreferencesGroupsPrivacy' => 'Privatsph&auml;re', // duplicate for MW 1.16 compatibility
			'prefs-wooglePreferencesGroupsInst' => 'Wissenschaftliche Evaluation', // duplicate for MW 1.16 compatibility		
		);
	}
	
	public function getMessages() {
		return array(		
			// WoogleSearch
			'Title'						=> 'Woogle',
			'StartTitle'				=> 'Woogle',
			'ResultTitle'				=> 'Woogle Suchergebnisse für <$1>', # this string goes through htmlspecialchars(), hence not &uuml; but ü. This file has to be utf-8 encoded!
			'Refinements'				=> '&Auml;hnliche Suchvorschl&auml;ge: ',
			'NoRefinements'				=> 'Keine &auml;hnlichen Suchvorschl&auml;ge gefunden.',
	        'NoPermission'				=> 'Sie k&oouml;nnen Woogle leider momentan entweder aufgrund ihrer pers&ouml;nlichen oder der System-Einstellungen nicht nutzen.<br />Versuchen Sie stattdessen <a href="../index.php/$1?usewikisearch=1">Wiki-Suche</a>.',
	        'NoPermissionTitle'			=> 'Woogle Suche - kein Zugriff',
			'Help'						=> 'Hintergrundinformationen und Hinweise zur Nutzung finden Sie in der [[Spezial:WoogleHilfe|Woogle-Hilfe]]. F&uuml;r Anregungen nutzen Sie bitte das [[Spezial:WoogleFeedback|Feedback-Formular]].',
			'ResultsFound'				=> '$1 Ergebnisse gefunden',
			'ResultsFoundOne'			=> 'Ein Ergebnis gefunden',
			'ResultsFoundNothing'		=> 'Keine Ergebnisse gefunden',
			'RestrictTo'				=> ' einschr&auml;nken auf: ',
			'ShowCount'					=> ' zeige: $1 Ergebnisse ( $2 speichern)',
			'ErrorTitle'				=> 'Woogle Suche - Fehler',
			'SearchGoogle'				=> 'Suche in Google nach $1',
			'NotAvailable'				=> 'Woogle ist im Moment nicht erreichbar.<br />Versuchen Sie stattdessen <a href="../index.php/$2?usewikisearch=1&search=$1">Wiki-Suche</a> oder <a href="http://www.google.com/search?q=$1">Google</a>.<br /><br />',
			'BoxEmpty'					=> '-',
			'BoxTitle'					=> 'Beschreiben Sie, welche Informationen Sie ben&ouml;tigen.',
			'WikiLink'					=> 'Neue Wiki-Seite erstellen',
			'WikiLinkButton'			=> 'Erzeugen',
			'Watch'						=> 'Diesen Suchvorgang beobachten',
			'WatchButton'				=> 'Beobachten',
			'SearchButton'				=> 'Suche',
			'DiscussionLink'			=> 'Diskutieren Sie diesen Suchbegriff oder die Ergebnisse auf der [[$1|Diskussionsseite]].',
			'SearchTimeFrom'			=> 'Von:',
			'SearchTimeUntil'			=> 'Bis:',
			'ResultsSortBy'				=> 'Sortieren nach:',
			'AdvancedSearchButton'		=> 'Erweiterte Suche',
			'SimpleSearchButton'		=> 'Einfache Suche',
			'SearchTimePeriod'			=> '&Auml;nderungsdatum:',
			'FileSize'					=> 'Dateigr&ouml;&szlig;e:',
			'OrderDescending'			=> 'absteigend',
			'OrderByRelevance'			=> 'Relevanz',
			'OrderByID'					=> 'ID',
			'OrderByLabel'				=> 'Titel',
			'OrderByMimetype'			=> 'Dateityp',
			'OrderByChanged'			=> '&Auml;nderungsdatum',
			'OrderBySize'				=> 'Gr&ouml;&szlig;e',
			'InfoBoxEdit'				=> 'bearbeiten',
			'ResultLastChange'			=> 'Letzte &Auml;nderung:',
			'SearchAdvancedmimetype'	=> 'Dateityp',
			'SearchAdvancedrepository'	=> 'Datenquelle',
			'OpenInNewTab'				=> 'In einem neuen Tab öffnen',
		
			// WoogleSearch (more)
			'WoogleSearchCreatePageTitle'		=>	'Seite erstellen',
			'WoogleSearchRelatedSearches'		=> '$1 verwandte Suchanfragen wurden in den letzten 30 Tagen gestellt',
			'WoogleSearchRelatedSearchOne'		=> 'Eine verwandte Suchanfragen wurde in den letzten 30 Tagen gestellt',
			'WoogleSearchDiscuss'			=> 'kommentieren',
			'WoogleSearchDescribe'			=> 'Beschreiben',
			'WoogleSearchNoAppropriate'		=> 'Es wurden h&auml;ufig keine Resultate angeklickt. Eventuell fehlen relevante Informationen im Wiki.',
			'WoogleSearchScattered'			=> 'Viele verschiedene Resultate wurden f&uuml;r diese Suchanfrage angeklickt. Relevante Informationen sind eventuell verstreut.',
			'WoogleSearchManyInvestigated'	=> 'Bei dieser Suchanfrage werden h&auml;ufig viele Ergebnisseiten inspiziert. Relevante Informationen sind eventuell verstreut.',
			'WoogleSearchNoPageFound'		=> 'Es gibt keine Seite mit dem Titel "$1". Sie können diese $2.',
			'WoogleSearchDescribeOrDiscuss'	=> '$1 oder $2 Sie diese Suchanfrage. Das kann anderen Nutzern dabei helfen, fehlende Informationen zu erg&auml;nzen.',
		 	'WoogleSaveDescription'			=> 'Beschreibung speichern',
			'WoogleCancelDescription'		=> 'Abbrechen',
			'WoogleSaveDiscussion'			=> 'Diskussion speichern',
			'WoogleCancelDiscussion'		=> 'Abbrechen',
			'WoogleSearchResultRemove'		=> 'Ergebnis l&ouml;schen',
			'WoogleSearchResultPromote'		=> 'Ergebnis nach oben',
			'WoogleSearchResultRestore'		=> 'Ergebnis wiederherstellen',
			'WoogleSearchResultDegrade'		=> 'Ergebnis nach unten',
			'WoogleSearchResultComment'		=> 'Kommentar hinzuf&uuml;gen',
			'WoogleSearchResultAdd'			=> 'Ergebnis hinzuf&uuml;gen',
			'WoogleSearchTrashHide'			=> 'Ausblenden',
			'WoogleSearchTrashShow'			=> 'Anzeigen',
		
			// WoogleSearchAddResult
			'WoogleSearchAddResultHead'			=> 'Neues Suchergebniss hinzuf&uuml;gen',
			'WoogleSearchAddResultTitle'		=> 'Ergebnistitel',
			'WoogleSearchAddResultUrl'			=> 'Ergebnis-Url',
			'WoogleSearchAddResultDescription'	=> 'Ergebnisbeschreibung',
			'WoogleSearchAddResultTitleError'		=> 'Bitte geben Sie einen Titel ein',
			'WoogleSearchAddResultUrlError'			=> 'Bitte geben Sie einen Link an',
			'WoogleSearchAddResultDescriptionError'	=> 'Bitte geben Sie eine Beschreibung ein',
			'WoogleSearchAddResultSave'			=> 'Speichern',
			'WoogleSearchAddResultDelete'		=> 'Abbrechen',
		
			// WoogleSearchAddComent
			'WoogleSearchCommentAdd'		=> 'Kommentar hinzuf&uuml;gen',
			'WoogleSearchCommentText'		=> 'Geben Sie hier ihren Text ein',
			'WoogleSearchCommentCancel'		=> 'Abbrechen',

			// WoogleSearchResult Snippets
			'WoogleSearchResultRelevance'	=> 'Relevanz',
			'WoogleSearchResultRedirect'	=> 'Redirecting to &rArr;',
			'WoogleSearchResultWidth'		=> 'Breite',
			'WoogleSearchResultHeight'		=> 'H&ouml;he',
			'WoogleSearchResultNoTextExtracted'	=> '(Dateiinhalt konnte nicht extrahiert werden)',
			'WoogleSearchResultSize'		=> 'Gr&ouml;&szlig;e',
			'WoogleSearchResultWords'		=> 'W&ouml;rter',
		
			//RedLinks.php
			'RedLinksInlinks'			=> 'Links auf diese Seite',
			'RedLinksQueries'			=> 'Suchanfragen',
			'RedLinksWatchers'			=> 'Nutzer, die diesen Begriff beobachten',
			'RedLinksSearchers'			=> 'Nutzer, die nach diesem Begriff gesucht haben',
			'RedLinksAddWatch'			=> 'zur Beobachtungsliste hinzuf&uuml;gen',
			'RedLinksQueriedTimesByUsers'		=> 'Der Seitentitel wurde $1 mal angefragt von $2 Personen.',
			'RedLinksQueriedTimesByOne'			=> 'Der Seitentitel wurde $1 mal angefragt von einer Person.',
			'RedLinksQueriedOnce'				=> 'Der Seitentitel wurde bisher ein Mal von einer Person angefragt.',
			'RedLinksNoNeed'					=> 'Diese Seite wurde bisher nicht stark nachgefragt.',		
			'RedLinksReferencedTimes'			=> 'Auf diese Seite wird in diesem Wiki $1 mal verwiesen.',
			'RedLinksRelatedSearches'			=> '$1 verwandte Suchanfragen wurden in den letzten 30 Tagen gestellt',
			'RedLinksRelatedSearchOne'			=> 'Eine verwandte Suchanfrage wurde in den letzten 30 Tagen gestellt',
			'RedLinkQualityGreen'		=> 'Die Qualit&auml;t der Suchergebnisse scheint gut zu sein.',
			'RedLinkQualityYellow'		=> 'Die Qualit&auml;t der Suchergebnisse scheint durchschnittlich zu sein.',
			'RedLinkQualityRed'			=> 'Die Qualit&auml;t der Suchergebnisse scheint niedrig zu sein.',
			'RedLinkResultText'			=> 'Diese Suchanfrage wurde $1 mal von $2 Benutzern gestellt.',
			'RedLinkResultTextFirst'	=> 'Diese Suchanfrage wurde zum ersten Mal gestellt.',
			'RedLinkResultTextOneUser'	=> 'Diese Suchanfrage wurde $1 mal von einem Benutzer gestellt.',
			'RedLinkResultTextOneOne'	=> 'Diese Suchanfrage wurde bisher einmal gestellt.',
		
			//Intrumentation addon (TODO move)
				'InstrumentationLogExplanation'		=> '=== Wenn Sie "Teilnehmen" w&auml;hlen... ===

* erkl&auml;ren Sie sich damit einverstanden, die MediaWiki-Erweiterung "Woogle" auszuprobieren
* erhalten Sie eine verbesserte Suche in diesem Wiki
* werden Ihre Daten (Erstellung von Seiten, Suchen, jedoch nicht das Lesen von Seiten) f&uuml;r wissenschaftliche Zwecke gespeichert, solange die Studie andauert
** dies sind nicht mehr (eigentlich sogar weniger) Nutzerdaten, als ohnehin von g&auml;ngigen Webservern gespeichert werden
** Ihre Daten werden unter einer anonymisierten Nutzer-ID gespeichert, die Sie jederzeit in Ihren [[Special:Preferences|MediaWiki-Einstellungen]] &auml;ndern k&ouml;nnen
** Ihre Daten werden ausschlie&szlig;lich f&uuml;r deren wissenschaftliche Auswertung und f&uuml;r die Verbesserung von Woogle genutzt
* werden Sie am Ende der Studie gebeten, einen kurzen Online-Fragebogen auszuf&uuml;llen
* Ihre Teilnahme erfolgt freiwillig
** Sie k&ouml;nnen Ihre Teilnahme jederzeit in Ihren [[Special:Preferences|MediaWiki-Einstellungen]] zur&uuml;ckziehen ("Woogle"-Tab)

=== Wenn Sie "Nein, danke." w&auml;hlen... ===
* werden Sie nicht an der Erprobung von Woogle teilnehmen
* k&ouml;nnen Sie die neuen Suchfunktionen nicht nutzen - das hei&szlig;t, Sie arbeiten mit diesem Wiki weiterhin so, wie Sie es gewohnt sind
* sind die einzigen Daten, die gespeichert werden Ihre Suchanfragen und Klicks in anonymisierter und aggregierter Form. Diese Daten werden nur zur statistischen Auswertung erhoben
** dies sind weitaus weniger Daten, als sowieso gew&ouml;hnlicherweise von Webservern erhoben werden
** Sie der Datenerhebung widersprechen, indem Sie in Ihren [[Special:Preferences|MediaWiki-Einstellungen]] das H&auml;kchen bei "Protokollierung (anonymisierter) Suchanfragen und Ergebnisauswahl" entfernen
* Sie k&ouml;nnen Ihre Entscheidung &uuml;ber die Teilnahme an der Studie jederzeit in den [[Special:Preferences|MediaWiki-Einstellungen]] revidieren

=== Allgemeine Bemerkungen ===

Wir sind Ihnen dankbar, wenn Sie unsere \'\'\'wissenschaftliche Studie\'\'\' unterst&uuml;tzen, indem Sie auf "Teilnehmen" klicken. Wenn Sie irgendwelche Fragen dazu haben, z&ouml;gern Sie bitte nicht, Hans-Joerg Happel (happel@fzi.de) zu kontaktieren. Weitere Informationen &uuml;ber Woogle erhalten Sie auf http://www.teamweaver.org/wiki/index.php/Woogle. Die Informationen dieser Seite k&ouml;nnen Sie jederzeit unter [[Woogle]] einsehen.',
			'InstrumentationLogHeadline'		=>	'M&ouml;chten Sie an der Woogle-Evaluation teilnehmen?',
			'InstrumentationLogAccept'			=>	'Teilnehmen',
			'InstrumentationLogDecline'			=> 	'Nein, danke.',
			//'SpecialStudy'				=> 'WoogleStudy',
			'PrefGeneralUseWoogle'		=> 'Woogle aktivieren',
			'PrefGeneralReplaceMWS'		=> 'MediaWiki-Suche durch Woogle ersetzen',
			'PrefSharingContribution'	=> 'Anfragen nach Wiki Beitr&auml;gen erlauben',
			'PrefPrivacyTrackUserQueries'	=> 'Protokollierung (anonymisierter) Suchanfragen und Ergebnisauswahl',
			'PrefPrivacyRandomUserID'	=> 'Zuf&auml;llig generierte Benutzer-ID',
			'PrefPrivacyQueryStopwords'	=> 'Suchanfragen mit folgenden Begriffen nicht protokollieren (Begriffe durch Kommata getrennt)',
			'PrefInstrumentationInstrumentation'		=> 'An Evaluation teilnehmen',	// deprecated
			'PrefInstrumentationInstrumentationGroup'	=> 'Gruppe',	// deprecated
			'PrefInstInstEnabled'		=> 'An Evaluation teilnehmen',	// duplicate for MW 1.16 compatibility
			'PrefInstInstGroup'	=> 'Gruppe',	// duplicate for MW 1.16 compatibility
			'PreferencesGroupsInstrumentation'	=>  'Wissenschaftliche Evaluation', // deprecated
			'PreferencesGroupsInst'	=>  'Wissenschaftliche Evaluation', // deprecated
			'PreferencesGroupsGeneral'			=>  'Allgemeine Einstellungen', // deprecated
			'PreferencesGroupsSharing'			=>  'Wissensaustausch', // deprecated
			'PreferencesGroupsPrivacy'			=>  'Privatsph&auml;re', // deprecated
			
			// Special Page Feedback
			'SpecialPageFeedbackMeta'		=> 	'Auf dieser Seite k&ouml;nnen Sie internes Feedback an ihren Wiki-Administrator senden. Falls Sie allgemeine Anmerkungen (Feature-Vorschl&auml;ge oder Fehlermeldungen) an die Entwickler von Woogle senden m&ouml;chten, nutzen Sie bitte die offizielle Woogle-Feedback Seite unter [http://www.teamweaver.org/wiki/index.php/Woogle4MediaWiki/Feedback].',
			'SpecialPageFeedbackEmail'			=> 	'Ihre E-Mail Adresse',
			'SpecialPageFeedbackName'			=> 	'Ihr Name',
			'SpecialPageFeedbackSubject'		=> 	'Betreff',
			'SpecialPageFeedbackText'			=> 	'Mitteilung',
			'SpecialPageFeedbackEmailForgotten'		=> 	'Bitte geben Sie eine korrekte E-Mail Adresse ein',
			'SpecialPageFeedbackNameForgotten'		=> 	'Bitte geben Sie ihren Namen ein',
			'SpecialPageFeedbackSubjectForgotten'	=> 	'Bitte geben Sie einen Betreff ein (Mindestl&auml;nge 5 Zeichen)',
			'SpecialPageFeedbackTextForgotten'		=> 	'Bitte geben Sie einen Text ein (Mindestl&auml;nge 10 Zeichen)',
			'SpecialPageFeedbackSend'				=>	'Danke f&uuml;r Ihr Feedback',
			'SpecialPageFeedbackSendButton'			=> 	'senden',
			'UserTokenError'			=>  'Fehler: Formular wurde nicht korrekt intialisiert (Benutzer-Token ung&uuml;ltig).',
		
			// Autocomplete
			'WoogleAutocompleteHits'		=> 'Ergebnisse',
			'WoogleAutocompleteHitsSingle'	=> 'Ergebnis',
		
			// WoogleWatchAlertNotification
			'WoogleAlertNotificationSubject'	=> 'Ihre Beobachtung bei $1',
			'WoogleAlertNotificationBody'		=> 'Sehr geehrte/r Herr/Frau $1
			
Das Dokument < $2 > in $3 wurde am $4 geändert und 
es gibt neue Ergebnisse zu ihren Beobachtungen für:
$5

Sehen Sie auf $6
die aktuelle Version.

	Ihr $3 Benachrichtungssystem.',		
		
			// OpenSearch
			'OpenSearchLongTitleDefault'	=> 'Woogle $1 Suche',
			'OpenSearchLongTitleAll'		=> 'Woogle $1 Suche in allen Quellen',
			'OpenSearchDescDefault'			=> 'Durchsuche nur $1 Inhalt',
			'OpenSearchDescAll'				=> 'Durchsucht das Wiki und andere Quellen',
		
			// Special:WoogleStaticstics
			'StatisticsGeneral'				=> 'Allgemein',
			'StatisticsPopularQueries'		=> 'Beliebte Anfragen',
			'StatisticsPopularResults'		=> 'Beliebte Ergebnisse',
			'StatisticsPopularSources'		=> 'Beliebte Datenquellen',
			'StatisticsRepoNumber'			=> 'Datenquelle Nr.',
			'StatisticsUnsatisfiedNeeds'	=> 'Unbefriedigte Informationbed&uuml;rfnisse',
			'StatisticsUnsatisfiedFewClicks'	=> 'Unbefriedigte Informationbed&uuml;rfnisse mit wenigen Treffern/Clicks',
			'StatisticsUnsatisfiedDiffClicks'	=> 'Unbefriedigte Informationbed&uuml;rfnisse mit vielen unterschiedlichen Clicks',
			'StatisticsLessHits'			=> 'Anfragen mit weniger als zehn Ergebnissen',
			'StatisticsUnsatisfiedBrowse'	=> 'Unbefriedigte Informationbed&uuml;rfnisse bei denen h&auml;ufig viele Ergebnisseiten betrachtet wurden',
			'StatisticsWoogleUsage'			=> ' Woogle-Nutzung',
		
					// Special:WoogleHelp
			// Instrumentation
			'InstrumentationHelpInit'		=> 'Bitte machen Sie sich kurz mit der Funktionalit&auml;t von Woogle vertraut und <a href="$1">setzen Sie dann Ihre Suche fort</a>.',
			'InstrumentationHelpExit'		=> '<a href="$1">Setzen Sie Ihre Suche fort</a>',
			// Header
			'HelpIntro'						=> 'Woogle is eine Alternative zur eingebauten Suchefunktion in diesem Wiki. Auf dieser Seite werden die Funktionen von Woogle und ihre Benutzung kurz erkl&auml;rt.',
			'HelpDisabledSystem'			=> 'Woogle ist momentan von Ihrem Systemadministrator deaktiviert.',
			'HelpPermitted'					=> 'Sie sind leider nicht f&uuml;r die Benutzung von Woogle freigeschaltet. Fragen Sie Ihren Systemadministrator.',
			'HelpDisabledUser'				=> 'Achtung: Sie haben Woogle momentan in Ihren pers&ouml;nlichen Einstellungen ausgeschaltet. Im "Woogle"-Reiter auf der Seite [[Spezial::Einstellungen]] k&ouml;nnen Sie Woogle wieder aktivieren.',
			// Search
			'HelpSearch'					=> 'Suchen mit Woogle',
			'HelpSearchReplace'				=> 'Woogle ist momentan als Standard-Suche konfiguriert - d.h. Sie k&ouml;nnen die normale Sucheingabe auf jeder Wiki-Seite nutzen, um eine Suchanfrage zu starten (dieses Feature k&ouml;nnen Sie ausschalten - siehe <a href="#help_config">Konfiguration</a>).',
			'HelpSearchText'				=> 'Das Woogle-Suchformular kann &uuml;ber die Spezialseite [[Spezial:Woogle]] aufgerufen werden.', // TODO image	
			'HelpSearchAdvanced'			=> 'Im Suchformular k&ouml;nnen Sie Ihre Anfrage auch auf bestimmte Datentypen oder Datenquellen beschr&auml;nken.', // TODO image
			'HelpWooglePages'				=> 'Woogle-Seiten',
			'HelpWooglePagesText'			=> 'In Woogle kann jede Suchanfrage durch eine Wiki-Seite erg&auml;nzt werden - z.B. <tt>Woogle:Test</tt>. Dadurch k&ouml;nnen Sie eine Diskussionsseite oder einen kleinen Wiki-Eintrag f&uuml;r jeden Suchbegriff erstellen, um Ihren Informationsbedarf n&auml;her zu beschreiben oder um Hinweise an andere Nutzer der Suche weiterzugeben. Der Wiki-Eintrag zu einer Suchseite wird zwischen den Suchformular und der Ergebnisliste angezeigt.',
			'HelpResultsCaption'			=> 'Woogle-Seiten und Suchergebnisse',
			'HelpAutocomplete'				=> 'Auto-Vervollst&auml;ndigung von Suchbegriffen',
			'HelpAutocompleteText'			=> 'Woogle kann automatisch Begriffe zur Vervollst&auml;ndigung Ihrer Suchanfrage vorschlagen. Sobald Sie im Suchformular mehr als drei Buchstaben eingeben, werden diese in einem kleinen Fenster sichtbar. Sobald Sie einen Begriff ausw&auml;hlen, wird eine Suchanfrage gestartet. Momentan unterst&uuml;tzt diese Funktion nur einzelne Begriffe und noch keine Wortpaare.', // TODO  IMAGE
			'HelpAutocompleteFull'			=> ' Begriffsvorschl&auml;ge stammen aus den Titeln und Inhalten aller Wiki-Seiten.',
			'HelpAutocompleteRestricted'	=> ' Begriffsvorschl&auml;ge stammen aus den Titeln aller Wiki-Seiten.',
			'HelpOpenSearch'				=> 'OpenSearch',
			'HelpOpenSearchText'			=> 'Einige Webbrowser wie der Internet Explorer oder Firefox bieten ein kleines Eingabefeld zum schnelle Zugriff auf die Suchfunktion von Webseiten. Woogle kann ebenfalls in dieses Eingabefeld eingebunden werden. Ihr Browser sollte die Woogle-Suche erkennen, sobald Sie sich auf einer Such-Seite im Wiki befinden.',
			'HelpOpenSearchRemote'			=> 'Da Woogle mehrere Datenquellen &uuml;ber das Wiki hinaus durchsuchen kann, k&ouml;nnen Sie zwei verschiedene Woogle-Suchen in das Eingabefeld Ihres Browser einbinden: die Woogle-Wiki-Suche und die Suche &uuml;ber alle Datenquellen.',
			'HelpSyntax'					=> 'Such-Syntax',
			'HelpSyntaxText'				=> 'Woogle unterscheidet nicht zwischen Gross- und Kleinschreibung. Die Standardverarbeitung von zwei Suchbegriffen ist ein \'\'AND\'\' ("und"; Suchbegriff &laquo;Wort1 Wort2&raquo; findet alle Dokumente in denen beide Terme auftreten). Woolge erlaubt weithin die Nutzung von Wildcards (?, *) sowie Phrasensuche (z.B. "Hallo Welt").',
			/*'HelpSyntaxText'				=> 'Woogle unterscheidet nicht zwischen Gross- und Kleinschreibung. Die Standardverarbeitung von zwei Suchbegriffen ist ein and (Suchbegriff &laquo;Wort1 Wort2&raquo; findet alle Dokumente in denen beide Terme auftreten). Folgende weitere Modifikationen des Such-Strings sind m&oouml;glich:
* Boolsche Operatoren (AND, NOT) - z.B. Wort1 +Wort2 oder Wort1 -Wort2
* Phrasensuche - z.B. "Hallo Welt"
* Wildcards (?, *) - z.B. Ansprechp* oder Ansprechpartne?
* Unscharfe Suche (~ am Wortende) - z.B. Busyness~
* Wortn&auml;he - z.B. "Wort1 Wort2"~10 (Wort1 und Wort2 m&uuml;ssen innerhalb von 10 aufeinanderfolgenden W&ouml;rtern im Dokument vorkommen)

',*/
			'HelpSocialResults'				=> 'Soziale Suche: Kollaborative Sortierung von Suchergebnissen',
			'HelpSocialResultsText'			=> 'tbd.',
		
			// Alerts
			'HelpAlerts'					=> 'Woogle Alerts',
			'HelpAlertsText'				=> 'Per Definition sind die Artikel in einem Wiki niemals "fertig" sondern entwickeln sich kontinuierlich weiter. Daher bietet MediaWiki die Option, Artikel zu "beobachten" und versendet eine Nachricht bei &Auml;nderungen. Woogle erweitert diese Funktionalit&auml;t mit "WoogleAlerts". Wenn Sie Woogle-Seiten "beobachten" werden Sie benachrichtigt, sobald Wiki-Seiten erstellt oder ge&auml;ndert werden, die den Suchbegriff der Woogle-Seite beeinhalten. Beispiel: um &uuml;ber neue oder ge&auml;nderte Artikel oder Dateianh&auml;nge die "Tim Berners-Lee" beinhalten informiert zu werden, m&uuml;ssen Sie einmalig nach "Tim Berners-Lee" suchen, und auf der Suchseite die "beobachten"-Funktion w&auml;hlen.',
			// Knowledge Sharing
			'HelpKnowledgeSharing'			=> 'Wissensaustausch',
			'HelpKnowledgeSharingRed'		=> 'Woogle nutzt statistische Informationen aus dem Wiki (z.B. Verlinkungen) und der Suche, um Wiki-Seiten, die noch nicht erstellt wurden ("rote links") zu bewerten. Rote Links mit einem hohen Bedarf werden innerhalb des Wikis mit einem Stern ("*") markiert. Wenn Sie mit der Maus &uuml;ber rote Links fahren, zeigt Woogle ein kleines Fenster mit Informationen zur Nachfrage nach dieser (nocht nicht existierenden) Seite an.',
			'HelpRedCaption'				=> 'Rote links (gew&uuml;nschte Seiten)',
			'HelpKnowledgeSharingStats'		=> 'Auf der Seite [[Spezial:WoogleStatistik]] k&ouml;nnen Sie Statistiken &uuml;ber beliebte oder schlecht abgedeckte Suchbegriffe finden.',
			// Config
			'HelpConfiguration'				=> 'Konfiguration von Woogle',
			'HelpConfigurationText'			=> 'Neben den Systemeinstellungen durch den Wiki-Administrator erlaubt Woogle benutzerspezifische Anpassungen. Im "Woogle"-Tab in den MediaWiki-Einstellungen ([[Spezial:Einstellungen]]) k&ouml;nnen Sie Folgendes &auml;ndern (Dokumentation tempor&auml;r nur auf Englisch):
* General settings
** "Use Woogle" - if you want to use Woogle features in this Wiki
** "Replace built-in search with Woogle" - if Woogle should be launched when using the MediaWiki search field 
* Privacy
** "Log clicks and queries (anonymously)" - if your queries and clicks can be stored in an aggregated fashion
** "Random user ID" - random userId used for query and instrumentation logging 
* Scientific evaluation (may not be enabled in your Wiki)
** "Participate in evaluation" - revoke or affirm your participation in the evaluation (see below for more info)
** "Group" - evaluation group assigned (you can not change this) ',
			// Privacy
			'HelpPrivacy'					=> 'Datenschutz',
			'HelpPrivacyText'				=> 'Zur Verbesserung der Suchqualit&auml;t und der Wiki-Inhalte zeichnet Woogle Suchanfragen und Clicks auf. Allerdings speichert Woogle keine detaillierte Historie der Suchanfragen eines Benutzers, sondern lediglich aggregierte und anoymisierte Informationen. Konkret legt Woogle f&uuml;r jeden Suchbegriff und jede Kombination Suchbegriff/Ergebnis einen Datenbankeintrag an. In diesen Eintr&auml;gen speichert Woogle die Zeitpunkte des ersten, letzen und durchschnittlichen Aufrufs und eine anoymisierte Id jedes Nutzers, der die Suchanfrage ausgef&uuml;rt hat. Beachten Sie, dass dies weit weniger Daten sind, als typischerweise in den Zugriffsprotokollen eines Webservers erfasst werden. Detailliertere Informationen k&ouml;nnen Sie auf der <a href="http://www.teamweaver.org/wiki/index.php/Woogle4MediaWiki/Privacy">Woogle Webseite zum Thema Datenschutz</a> nachlesen.',
			// Evaluation
			'HelpEvaluation'				=> 'Evaluation von Woogle',
			'HelpEvaluationText'			=> 'Woogle wird kontinuierlich weiterentwickelt und dabei wissenschaftlich evaluiert. Daher werden zus&auml;tzliche anonymisierte Daten erhoben. Sie m&uuml;ssen einer Teilnahme daran explizit zustimmen - ohne Ihr Einverst&auml;ndnis werden keinerlei zus&auml;zliche Daten protokolliert. Erg&auml;nzende Informationen finden Sie auf der [http://www.teamweaver.org/wiki/index.php/Woogle4MediaWiki/Instrumentation Woogle Webseite zum Thema Instrumentation].

Im Folgenden sehen Sie den Text des Informationsdialogs der erscheint, sobald Sie die erste Suchanfrage nach der Aktivierung von Woogle ausf&uuml;hren.
			
\'\'M&ouml;chten Sie an der Woogle-Evaluation teilnehmen?\'\'
 
=== Wenn Sie "Teilnehmen" w&auml;hlen... ===

* erkl&auml;ren Sie sich damit einverstanden, die MediaWiki-Erweiterung "Woogle" auszuprobieren
* erhalten Sie eine verbesserte Suche in diesem Wiki
* werden Ihre Daten (Erstellung von Seiten, Suchen, jedoch nicht das Lesen von Seiten) f&uuml;r wissenschaftliche Zwecke gespeichert, solange die Studie andauert
** dies sind nicht mehr (eigentlich sogar weniger) Nutzerdaten, als ohnehin von g&auml;ngigen Webservern gespeichert werden
** Ihre Daten werden unter einer anonymisierten Nutzer-ID gespeichert, die Sie jederzeit in Ihren [[Special:Preferences|MediaWiki-Einstellungen]] &auml;ndern k&ouml;nnen
** Ihre Daten werden ausschlie&szlig;lich f&uuml;r deren wissenschaftliche Auswertung und f&uuml;r die Verbesserung von Woogle genutzt
* werden Sie am Ende der Studie gebeten, einen kurzen Online-Fragebogen auszuf&uuml;llen
* Ihre Teilnahme erfolgt freiwillig
** Sie k&ouml;nnen Ihre Teilnahme jederzeit in Ihren [[Special:Preferences|MediaWiki-Einstellungen]] zur&uuml;ckziehen ("Woogle"-Tab)

=== Wenn Sie "Nein, danke." w&auml;hlen... ===
* werden Sie nicht an der Erprobung von Woogle teilnehmen
* k&ouml;nnen Sie die neuen Suchfunktionen nicht nutzen - das hei&szlig;t, Sie arbeiten mit diesem Wiki weiterhin so, wie Sie es gewohnt sind
* sind die einzigen Daten, die gespeichert werden Ihre Suchanfragen und Klicks in anonymisierter und aggregierter Form. Diese Daten werden nur zur statistischen Auswertung erhoben
** dies sind weitaus weniger Daten, als sowieso gew&ouml;hnlicherweise von Webservern erhoben werden
** Sie der Datenerhebung widersprechen, indem Sie in Ihren [[Special:Preferences|MediaWiki-Einstellungen]] das H&auml;kchen bei "Protokollierung (anonymisierter) Suchanfragen und Ergebnisauswahl" entfernen
* Sie k&ouml;nnen Ihre Entscheidung &uuml;ber die Teilnahme an der Studie jederzeit in den [[Special:Preferences|MediaWiki-Einstellungen]] revidieren', // TODO duplicate
			// Feedback
			'HelpFeedback'					=> 'Woogle Feedback',
			'HelpFeedbackText'				=> 'Sie k&ouml;nnen &uuml;ber die Seite [[Spezial:WoogleFeedback]] R&uuml;ckmeldungen zu Woogle an Ihren Wiki-Adminstrator weitergeben. Allgemeines Feedback k&ouml;nnen Sie unter [http://www.teamweaver.org/wiki/index.php/Woogle4MediaWiki/Feedback] abgeben.',
			'HelpAbout'						=> '&Uuml;ber Woogle',
			'HelpAboutText'					=> 'Woogle ist eine OpenSource-Erweiterung, die vom <a href="http://www.fzi.de">FZI Forschungszentrum Informatik</a> an der Universit&auml;t Karlsruhe entwickelt wird. Weitere Informationen zu Woogle finden Sie unter <a href="http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki">mediawiki.org</a> und unter <a href="http://www.teamweaver.org">teamweaver.org</a>.',
		
        );
	}
}
