<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

/**
 * This file is used to track clicks on search results.
 * It will be called by JavaScript on each result clicked after a Woogle search. 
 */

require_once('blankstart.php');

WoogleUtil::profileIn('redirect.php');

// get request parameters
$searchString	= $_GET['searchString'];
$url			= $_GET['url'];
$position		= intval($_GET['position']);
$session		= $_GET['session'];

$browser = WoogleUtil::getUserBrowser();
WoogleUtil::debug('Link clicked: '.$url. ' Browser: '.$browser['browser'].' '.$browser['version']);

// allow other extensions reacting on the click
wfRunHooks('WoogleResultClick', array($url, $searchString, $position));

try {
	// actually log the click
	WoogleUtil::getQueryService()->addClick($searchString, $url, $position, $session);	
} catch (Exception $e) {
	WoogleUtil::error("Can not save result click: " . $e->getMessage());
	echo "Error: " . $e->getMessage() . "<br>Body: " . $e->getBody() . "<br><pre> " . $e->getTraceAsString() . "</pre>";
}

WoogleUtil::profileOut('redirect.php');

?>