<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

require_once('Woogle_TestCase.php');

class WoogleFunctionsTest extends Woogle_TestCase{
	
	public function setUp(){

	}
	
	public function tearDown(){
	
	}
	
	/* Test methods */	

	public function testWoogleLoadSpecialPages(){
		global $wgSpecialPages;
		// TODO
		// WoogleUtil::getSpecialPages()
	}
	
	public function testMb_stripos(){

		$src1 = 'Ruckuberweisung';
		$src2 = 'Rücküberweisung';

		echo "Encoding set to: " . mb_internal_encoding() . "\n";
		$this->assertTrue(mb_internal_encoding("UTF-8"));
		echo "Encoding set to: " . mb_internal_encoding() . "\n";
		
		//
		// mb_stripos
		//
		$qStart = microtime(true);
		$this->assertEquals(8, mb_stripos($src1 , 'weisung'));
		$this->assertEquals(4, mb_stripos($src1 , 'uber'));
		$this->assertEquals(1, mb_stripos($src1 , 'u'));
		$this->assertEquals(4, mb_stripos($src1 , 'u', 2));
		$this->assertEquals(8, mb_stripos($src2 , 'weisung'));
		$this->assertEquals(4, mb_stripos($src2 , 'über'));
		$this->assertEquals(1, mb_stripos($src2 , 'ü'));
		$this->assertEquals(4, mb_stripos($src2 , 'ü', 3));
		$qStop = microtime(true);
		$qTime = $qStop - $qStart;
		echo 'mb_stripos__default took: ' . $qTime . "\n";

		//
		// mb_stripos_fallback
		//
		$qStart = microtime(true);
		$this->assertEquals(8, mb_stripos_fallback($src1 , 'weisung'));
		$this->assertEquals(4, mb_stripos_fallback($src1 , 'uber'));
		$this->assertEquals(1, mb_stripos_fallback($src1 , 'u'));
		$this->assertEquals(4, mb_stripos_fallback($src1 , 'u', 2));
		$this->assertEquals(8, mb_stripos_fallback($src2 , 'weisung'));
		$this->assertEquals(4, mb_stripos_fallback($src2 , 'über'));
		$this->assertEquals(1, mb_stripos_fallback($src2 , 'ü'));
		$this->assertEquals(4, mb_stripos_fallback($src2 , 'ü', 3));
		
		$qStop = microtime(true);
		$qTime = $qStop - $qStart;
		echo 'mb_stripos_fallback took: ' . $qTime . "\n";
	}
	  
}



?>
